public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-emulation/kompose/
Date: Thu, 25 Jan 2018 18:53:16 +0000 (UTC)	[thread overview]
Message-ID: <1516906345.a2a64da9501ac990d8166f7153fec7697309097b.mrueg@gentoo> (raw)

commit:     a2a64da9501ac990d8166f7153fec7697309097b
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Thu Jan 25 18:52:25 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Thu Jan 25 18:52:25 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a2a64da9

app-emulation/kompose: Version bump to 1.8.0

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 app-emulation/kompose/Manifest             |  1 +
 app-emulation/kompose/kompose-1.8.0.ebuild | 30 ++++++++++++++++++++++++++++++
 2 files changed, 31 insertions(+)

diff --git a/app-emulation/kompose/Manifest b/app-emulation/kompose/Manifest
index aaf8e95a647..765158cae96 100644
--- a/app-emulation/kompose/Manifest
+++ b/app-emulation/kompose/Manifest
@@ -1,2 +1,3 @@
 DIST kompose-1.6.0.tar.gz 5227025 BLAKE2B e24e5d142db7a1e55c8e2c05db2a7717a6bc178c3ed73ec2732fb10ae39c90dd2da41ce604fc590e8888ef1b92d5ba68821f66f54e2285d90c2bc9e3af3f1da0 SHA512 57e8b3530ad260d0ed6a679119c559f616c45d407db8929797dbf321e32917bc236ac41e1042f65aa8460026d54cb03180e8b8264dadb6fe05ec6d21293140a3
 DIST kompose-1.7.0.tar.gz 5230263 BLAKE2B c2e50ceadaa3f88b5d6a9c6fbca93a0a45a16fb4d208a9194578174d9b67697f70d52f8f7a517609b56acf0cb646a9ca4e9137e1a830646e1084c10aabfd1cc0 SHA512 bcda4d891cdc8a0e331aad3baca9e88be32d302ed1ab89a561874881ec9e1dd04f7158f9315ee59a49d4906cc9d08821a417ff04a8ebe9871edece842b2e85b9
+DIST kompose-1.8.0.tar.gz 5230179 BLAKE2B 47f2770eb527bb3b40e1734f9e5173ce4de55ef55460f624dcb22374d94d4a4ae650d82db6508dd0e441535c03da8a0f61d7600425e44604b580ecff493ba987 SHA512 4e618f9e9adc65abd2be503dd28b6d7761945a99788e910cc072d04b6088e953152f9354fe168fe7bf22252f698b957e2cc23440d242bed62c4b7415dc513e33

diff --git a/app-emulation/kompose/kompose-1.8.0.ebuild b/app-emulation/kompose/kompose-1.8.0.ebuild
new file mode 100644
index 00000000000..402f0a13667
--- /dev/null
+++ b/app-emulation/kompose/kompose-1.8.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit golang-build golang-vcs-snapshot
+
+EGO_PN="github.com/kubernetes/kompose"
+EGIT_COMMIT="v${PV}"
+KOMPOSE_COMMIT="0c0c027"
+ARCHIVE_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
+KEYWORDS="~amd64"
+
+DESCRIPTION="Tool to move from docker-compose to Kubernetes"
+HOMEPAGE="https://github.com/kubernetes/kompose https://kompose.io"
+SRC_URI="${ARCHIVE_URI}"
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="hardened"
+
+RESTRICT="test"
+
+src_compile() {
+	export CGO_LDFLAGS="$(usex hardened '-fno-PIC ' '')"
+	GOPATH="${S}" go build -v -ldflags="-X github.com/kubernetes/kompose/cmd.GITCOMMIT=${COMPOSE_KOMMIT}" -o bin/kompose src/${EGO_PN}/main.go || die
+}
+
+src_install() {
+	dobin bin/*
+	dodoc -r src/${EGO_PN}/{docs,{README,RELEASE,ROADMAP,CHANGELOG,CONTRIBUTING}.md}
+}


             reply	other threads:[~2018-01-25 18:53 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-01-25 18:53 Manuel Rüger [this message]
  -- strict thread matches above, loose matches on Subject: below --
2020-11-29  0:39 [gentoo-commits] repo/gentoo:master commit in: app-emulation/kompose/ William Hubbs
2020-11-12 15:58 William Hubbs
2020-05-25 20:46 William Hubbs
2019-11-24 21:59 Manuel Rüger
2019-10-17 13:39 Manuel Rüger
2019-01-27 10:15 Pacho Ramos
2018-08-20 14:59 Manuel Rüger
2018-07-30 13:04 Manuel Rüger
2018-07-02 15:00 Manuel Rüger
2018-06-05 13:17 Manuel Rüger
2018-06-05 13:17 Manuel Rüger
2018-05-15 11:18 Manuel Rüger
2018-05-15 11:18 Manuel Rüger
2018-04-21 23:31 Manuel Rüger
2018-03-27  8:23 Manuel Rüger
2018-03-27  8:23 Manuel Rüger
2018-03-09 14:31 Manuel Rüger
2018-02-14 22:57 Manuel Rüger
2018-02-14 22:56 Manuel Rüger
2018-01-26 13:41 Manuel Rüger
2018-01-09 19:27 Manuel Rüger
2018-01-09 19:27 Manuel Rüger
2017-12-15 16:49 Manuel Rüger
2017-12-15 16:49 Manuel Rüger
2017-11-24 13:41 Manuel Rüger
2017-11-02 10:43 Manuel Rüger
2017-10-25 16:16 Manuel Rüger
2017-10-12 12:08 Manuel Rüger
2017-09-19 16:42 Manuel Rüger
2017-09-18 11:10 Manuel Rüger
2017-09-08 21:55 Manuel Rüger
2017-09-08 21:55 Manuel Rüger
2017-08-01 12:25 Manuel Rüger
2017-08-01 12:24 Manuel Rüger
2017-06-06 21:43 Manuel Rüger
2017-06-06 21:43 Manuel Rüger
2017-05-10 21:42 Manuel Rüger
2017-04-15 18:34 Manuel Rüger
2017-04-11 14:59 Manuel Rüger
2017-03-13 16:24 Manuel Rüger
2017-02-14 19:58 Manuel Rüger
2017-02-14 19:58 Manuel Rüger
2016-12-12 15:06 Manuel Rüger

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1516906345.a2a64da9501ac990d8166f7153fec7697309097b.mrueg@gentoo \
    --to=mrueg@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox